---
title: cx
slug: Web/API/SVGCircleElement/cx
tags:
  - API
  - Property
  - Reference
  - SVG
  - SVGCircleElement
  - cx
---
<div>{{APIRef("SVG")}}</div>

<p><span class="seoSummary">The <code><strong>cx</strong></code> read-only property of the {{domxref("SVGCircleElement")}} interface reflects the {{SVGAttr("cx")}} attribute of a {{SVGElement("circle")}} element and by that defines the x-coordinate of the circleʼs center.</span> If unspecified, the effect is as if the value is set to <code>0</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var <var>xCoordinate</var> = <var>element</var>.cx;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("SVGAnimatedLength")}} representing the x-coordinate of the circleʼs center.</p>

<h2 id="Example">Example</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html">&lt;svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 100 100" width="200" height="200"&gt;
  &lt;circle cx="50" cy="50" r="50" fill="gold" id="circle"/&gt;
&lt;/svg&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js; highlight[2]">const circle = document.getElementById('circle');
console.log(circle.cx);
</pre>

<p>{{EmbedLiveSample("Example", "200", "200")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#__svg__SVGCircleElement__cx", "SVGCircleElement.cx")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#__svg__SVGCircleElement__cx", "SVGCircleElement.cx")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGCircleElement.cx")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SVGCircleElement.cy")}}</li>
 <li>{{domxref("SVGCircleElement.r")}}</li>
</ul>
